Package com.oracle.truffle.api.nodes

## Annotation Type NodeInfo

    @Retention(RUNTIME)
    @Target(TYPE)
    public @interface NodeInfo

Annotation for providing additional information on nodes.

### Optional Element Summary

Optional Elements
`NodeCost` `cost` Provides a rough estimate for the cost of the annotated `Node`.
`java.lang.String` `description` A human readable explanation of the purpose of the annotated `Node`.
`java.lang.String` `language` A description, providing a user-readable explanation of the source language of the annotated `Node`.
`java.lang.String` `shortName` Short name representing the node that can be used for debugging.

### Element Detail

#### shortName

    java.lang.String shortName

Short name representing the node that can be used for debugging.

Returns:
  the short name

Default:
  ""

#### cost

    NodeCost cost

Provides a rough estimate for the cost of the annotated `Node`. This estimate can be used by runtime systems or guest languages to implement heuristics based on Truffle ASTs.

See Also:
  `Node.getCost()`, `NodeCost`

Default:
  com.oracle.truffle.api.nodes.NodeCost.MONOMORPHIC

#### description

    java.lang.String description

A human readable explanation of the purpose of the annotated `Node`. Can be used e.g. for debugging or visualization purposes.

Returns:
  the description

Default:
  ""

#### language

    java.lang.String language

A description, providing a user-readable explanation of the source language of the annotated `Node`. Can be used e.g. for debugging or visualization purposes. Typically this information is set only in an abstract base node for the language implementation.

Returns:
  the description

Default:
  ""